std::basic_ios::fill(3)

NAME
std::basic_ios::fill - std::basic_ios::fill

Synopsis
   CharT fill() const; (1)
   CharT fill( CharT ch ); (2)
   Manages the fill character used to pad the output conversions to the specified field
   width.
   1) returns the current fill character
   2) sets the fill character to ch, returns previous value of the fill character

Parameters
   ch - the character to use as fill character

Return value
   the fill character before the call to the function.

Example
// Run this code
 #include <iostream>
 #include <iomanip>
 int main ()
 {
   std::cout << "With default setting : [" << std::setw(10) << 40 << "]\n";
   char prev = std::cout.fill('x');
   std::cout << "Replaced '" << prev << "' with '"
             << std::cout.fill() << "': [" << std::setw(10) << 40 << "]\n";
 }

Output:
 With default setting : [ 40]
 Replaced ' ' with 'x': [xxxxxxxx40]

See also
   setfill changes the fill character
           (function template)